Loading...
Searching...
No Matches
Gfx::CPlanet::Planet Struct Reference

Planet texture definition. More...

`#include <src/graphics/engine/planet.h>`

## Public Attributes

PlanetType | type = PlanetType::Sky
| Type of planet.
Math::Point | start
| Initial position in degrees.
Math::Point | angle
| Current position in degrees.
float | dim = 0.0f
| Dimensions (0..1).
float | speed = 0.0f
| Speed.
float | dir = 0.0f
| Direction in the sky.
std::string | name
| Name of the texture.
Math::Point | uv1
| Texture mapping.
Math::Point | uv2
bool | transparent = false
| Transparent texture.

## Detailed Description

Planet texture definition.

## Member Data Documentation

## type

PlanetType Gfx::CPlanet::Planet::type = PlanetType::Sky

Type of planet.

## start

Math::Point Gfx::CPlanet::Planet::start

Initial position in degrees.

## angle

Math::Point Gfx::CPlanet::Planet::angle

Current position in degrees.

## dim

float Gfx::CPlanet::Planet::dim = 0.0f

Dimensions (0..1).

## speed

float Gfx::CPlanet::Planet::speed = 0.0f

Speed.

## dir

float Gfx::CPlanet::Planet::dir = 0.0f

Direction in the sky.

## name

std::string Gfx::CPlanet::Planet::name

Name of the texture.

## uv1

Math::Point Gfx::CPlanet::Planet::uv1

Texture mapping.

## transparent

bool Gfx::CPlanet::Planet::transparent = false

Transparent texture.

The documentation for this struct was generated from the following file:

- src/graphics/engine/planet.h